import { Description } from "./Description";
import { RectDescription } from "./RectDescription";
import { GeographicMapDescription } from "./GeographicMapDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class GeographicMapImageryDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private h;
    get windowRect(): RectDescription;
    set windowRect(a: RectDescription);
    private f;
    get geographicMap(): GeographicMapDescription;
    set geographicMap(a: GeographicMapDescription);
    private m;
    get imageTilesReadyRef(): string;
    set imageTilesReadyRef(a: string);
    private l;
    get imagesChangedRef(): string;
    set imagesChangedRef(a: string);
    private j;
    get cancellingImageRef(): string;
    set cancellingImageRef(a: string);
    private k;
    get downloadingImageRef(): string;
    set downloadingImageRef(a: string);
}
